---
lang: en
title: 'API docs: context.getbindingmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.getbindingmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [getBindingMetadata](./context.getbindingmetadata.md)

## getBindingMetadata() function

Get binding metadata for a class

**Signature:**

```typescript
export declare function getBindingMetadata<T = unknown>(target: Function): BindingMetadata<T> | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

target


</td><td>

Function


</td><td>

The target class


</td></tr>
</tbody></table>

**Returns:**

[BindingMetadata](./context.bindingmetadata.md)<!-- -->&lt;T&gt; \| undefined


